# TdApi.UpdateHavePendingNotifications (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: UpdateHavePendingNotifications

Package it.tdlight.jni

# Class TdApi.UpdateHavePendingNotifications

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateHavePendingNotifications

Enclosing class:
  TdApi

    public static class TdApi.UpdateHavePendingNotifications
    extends TdApi.Update

Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`boolean` | `haveDelayedNotifications` | True, if there are some delayed notification updates, which will be sent soon.
`boolean` | `haveUnreceivedNotifications` | True, if there can be some yet unreceived notifications, which are being fetched from the server.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`UpdateHavePendingNotifications()` | Describes whether there are some pending notification updates.
`UpdateHavePendingNotifications​(boolean haveDelayedNotifications, boolean haveUnreceivedNotifications)` | Describes whether there are some pending notification updates.
`UpdateHavePendingNotifications​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### haveDelayedNotifications

public boolean haveDelayedNotifications
True, if there are some delayed notification updates, which will be sent soon.

### haveUnreceivedNotifications

public boolean haveUnreceivedNotifications
True, if there can be some yet unreceived notifications, which are being fetched from the server.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### UpdateHavePendingNotifications

public UpdateHavePendingNotifications()
Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

### UpdateHavePendingNotifications

public UpdateHavePendingNotifications​(boolean haveDelayedNotifications, boolean haveUnreceivedNotifications)
Describes whether there are some pending notification updates. Can be used to prevent application from killing, while there are some pending notifications.

Parameters:
  `haveDelayedNotifications` - boolean True, if there are some delayed notification updates, which will be sent soon.
  `haveUnreceivedNotifications` - boolean True, if there can be some yet unreceived notifications, which are being fetched from the server.

### UpdateHavePendingNotifications

public UpdateHavePendingNotifications​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`